import { type AibeeFloorInfo, Locale } from ".";
import type { AibeeFacilityLayer, AibeeFloorData, AibeeLayerData, AibeeStoreLayer } from "./type";
export declare const enum RENDER_VERSION {
    LAYERED_RENDER_VERSION = "layeredRender",
    MERGED_RENDER_VERSION = "mergedRender"
}
export declare function getStoreTextByLocale(options: AibeeStoreLayer['elements'][0], locale: Locale): any;
export declare function getFacilityTextByLocale(options: AibeeFacilityLayer['elements'][0], locale: Locale): any;
export declare function getOrderIndex(layer: AibeeLayerData): number;
export declare function orderFloorLayer(floorData: AibeeFloorData): void;
export declare function translateFloorCoord(floorData: AibeeFloorData): void;
export declare function transformFloorData(floorData: AibeeFloorData): void;
export declare function getFloorCacheKey(floorInfo: AibeeFloorInfo, version?: number): string;
